[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# AllocMem

Allocate and clear memory.

## Declaration

Source position: heaph.inc line 100

`function AllocMem(`
`Size: PtrUInt`
`):pointer;`

## Description

AllocMem calls getmem GetMem, and clears the allocated memory, i.e. the allocated memory is filled with Size zero bytes.

## See also

GetMem |  | Allocate new memory on the heap